- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QTreeWidgetItemIterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qtreewidgetitemiterator.h.

`#include <qtreewidgetitemiterator.h>`

List of all members.

## Public Types
enum | IteratorFlag { All = 0x00000000, Hidden = 0x00000001, NotHidden = 0x00000002, Selected = 0x00000004, Unselected = 0x00000008, Selectable = 0x00000010, NotSelectable = 0x00000020, DragEnabled = 0x00000040, DragDisabled = 0x00000080, DropEnabled = 0x00000100, DropDisabled = 0x00000200, HasChildren = 0x00000400, NoChildren = 0x00000800, Checked = 0x00001000, NotChecked = 0x00002000, Enabled = 0x00004000, Disabled = 0x00008000, Editable = 0x00010000, NotEditable = 0x00020000, UserFlag = 0x01000000 }
## Public Member Functions
| QTreeWidgetItemIterator (const QTreeWidgetItemIterator &it)
| QTreeWidgetItemIterator (QTreeWidget *widget, IteratorFlags flags=All)
| QTreeWidgetItemIterator (QTreeWidgetItem *item, IteratorFlags flags=All)
| ~QTreeWidgetItemIterator ()
QTreeWidgetItemIterator & | operator= (const QTreeWidgetItemIterator &it)
QTreeWidgetItemIterator & | operator++ ()
const QTreeWidgetItemIterator | operator++ (int)
QTreeWidgetItemIterator & | operator+= (int n)
QTreeWidgetItemIterator & | operator-- ()
const QTreeWidgetItemIterator | operator-- (int)
QTreeWidgetItemIterator & | operator-= (int n)
QTreeWidgetItem * | operator* () const
## Friends
class | QTreeModel

## Member Enumeration Documentation

enum IteratorFlag

Search for all occurrences

Enumerator:

  All | Search for all occurrences
  Hidden | Search for all occurrences
  NotHidden | Search for all occurrences
  Selected | Search for all occurrences
  Unselected | Search for all occurrences
  Selectable | Search for all occurrences
  NotSelectable | Search for all occurrences
  DragEnabled | Search for all occurrences
  DragDisabled | Search for all occurrences
  DropEnabled | Search for all occurrences
  DropDisabled | Search for all occurrences
  HasChildren | Search for all occurrences
  NoChildren | Search for all occurrences
  Checked | Search for all occurrences
  NotChecked | Search for all occurrences
  Enabled | Search for all occurrences
  Disabled | Search for all occurrences
  Editable | Search for all occurrences
  NotEditable | Search for all occurrences
  UserFlag | Search for all occurrences

Definition at line 66 of file qtreewidgetitemiterator.h.

                          {
            All           = 0x00000000,
            Hidden        = 0x00000001,
            NotHidden     = 0x00000002,
            Selected      = 0x00000004,
            Unselected    = 0x00000008,
            Selectable    = 0x00000010,
            NotSelectable = 0x00000020,
            DragEnabled   = 0x00000040,
            DragDisabled  = 0x00000080,
            DropEnabled   = 0x00000100,
            DropDisabled  = 0x00000200,
            HasChildren   = 0x00000400,
            NoChildren    = 0x00000800,
            Checked       = 0x00001000,
            NotChecked    = 0x00002000,
            Enabled       = 0x00004000,
            Disabled      = 0x00008000,
            Editable      = 0x00010000,
            NotEditable   = 0x00020000,
            UserFlag      = 0x01000000 // The first flag that can be used by the user.
        };

## Constructor & Destructor Documentation

QTreeWidgetItemIterator | ( | const QTreeWidgetItemIterator & | it | ) |

QTreeWidgetItemIterator | ( | QTreeWidget * | widget,
|  | IteratorFlags | flags = `All`
| ) |  | `[explicit]`

QTreeWidgetItemIterator | ( | QTreeWidgetItem * | item,
|  | IteratorFlags | flags = `All`
| ) |  | `[explicit]`

~QTreeWidgetItemIterator | ( |  | ) |

## Member Function Documentation

QTreeWidgetItemIterator& operator= | ( | const QTreeWidgetItemIterator & | it | ) |

QTreeWidgetItemIterator& operator++ | ( |  | ) |

const QTreeWidgetItemIterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 115 of file qtreewidgetitemiterator.h.

    {
        QTreeWidgetItemIterator it = *this;
        ++(*this);
        return it;
    }

QTreeWidgetItemIterator & operator+= | ( | int | n | ) | `[inline]`

Definition at line 129 of file qtreewidgetitemiterator.h.

    {
        if (n < 0)
            return (*this) -= (-n);
        while (current && n--)
            ++(*this);
        return *this;
    }

QTreeWidgetItemIterator& operator-- | ( |  | ) |

const QTreeWidgetItemIterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 122 of file qtreewidgetitemiterator.h.

    {
        QTreeWidgetItemIterator it = *this;
        --(*this);
        return it;
    }

QTreeWidgetItemIterator & operator-= | ( | int | n | ) | `[inline]`

Definition at line 138 of file qtreewidgetitemiterator.h.

    {
        if (n < 0)
            return (*this) += (-n);
        while (current && n--)
            --(*this);
        return *this;
    }

QTreeWidgetItem * operator* | ( |  | ) | const `[inline]`

Definition at line 147 of file qtreewidgetitemiterator.h.

    {
        return current;
    }

## Friends And Related Function Documentation

friend class QTreeModel `[friend]`

Search for all occurrences

Definition at line 63 of file qtreewidgetitemiterator.h.

The documentation for this class was generated from the following file:

- QtGui/qtreewidgetitemiterator.h

QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator
QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator QTreeWidgetItemIterator